package com.usky.system.service.vo;
import com.usky.system.domain.SysDeptVO;
import com.usky.system.domain.SysUser;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;

/**
 * @description：TODO
 * @author： fu
 * @create： 2024-08-01 11:40
 */
@Data
public class UserTreeNode extends TreeNode {

    /** 用户ID */
    private Long userId;

    /** 部门ID */
    private Long deptId;

    /** 用户账号 */
    private String userName;

    /** 用户昵称 */
    private String nickName;

    /** 用户邮箱 */
    private String email;

    /** 手机号码 */
    private String phonenumber;

    /** 用户性别 */
    private String sex;

    /** 用户头像 */
    private String avatar;

    /** 地址 */
    private String address;

    /** 岗位 */
    private String post;


    public UserTreeNode(SysUser user) {
        super(user.getUserId(), user.getNickName(), new ArrayList<>());
        this.userId = user.getUserId();
        this.deptId = user.getDeptId();
        this.userName = user.getUserName();
        this.nickName = user.getNickName();
        this.email = user.getEmail();
        this.phonenumber = user.getPhonenumber();
        this.sex = user.getSex();
        this.avatar = user.getAvatar();
        this.address = user.getAddress();
        this.post = user.getPost();
    }
}

